# TrickCardCodes (vilya 1.3 API)
Date: 2011-04-06

## com.threerings.parlor.card.trick.data
Interface TrickCardCodes

All Superinterfaces:
  CardCodes, com.threerings.presents.data.InvocationCodes

All Known Implementing Classes:
  TrickCardGameUtil

    public interface TrickCardCodes

extends CardCodes

Constants relating to trick-based card games.

Field Summary
`static int` `BOTTOM` For four-player games, the bottom (own) player.
`static int` `LEFT` For four-player games, the player on the left.
`static int` `RIGHT` For four-player games, the player on the right.
`static int` `TOP` For four-player games, the top (opposite) player.

Fields inherited from interface com.threerings.parlor.card.data.CardCodes
`ACE, BLACK_JOKER, CLUBS, DIAMONDS, HEARTS, JACK, KING, QUEEN, RED_JOKER, SPADES`

Fields inherited from interface com.threerings.presents.data.InvocationCodes
`ACCESS_DENIED, E_ACCESS_DENIED, E_INTERNAL_ERROR, GLOBAL_GROUP, INTERNAL_ERROR`

Field Detail

### BOTTOM

    static final int BOTTOM

  For four-player games, the bottom (own) player.

  See Also:
    Constant Field Values

### LEFT

    static final int LEFT

  For four-player games, the player on the left.

  See Also:
    Constant Field Values

### TOP

    static final int TOP

  For four-player games, the top (opposite) player.

  See Also:
    Constant Field Values

### RIGHT

    static final int RIGHT

  For four-player games, the player on the right.

  See Also:
    Constant Field Values

Copyright © 2011. All Rights Reserved.